# Interface methods for submodule: SymmetricSecondRankTensor
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FixedArrayProxy as _FixedArrayProxy


# Interface methods for class: SymmetricSecondRankTensor
class SymmetricSecondRankTensorProxy(_FixedArrayProxy):
	@staticmethod
	def GetNumberOfComponents() -> int:
		""""""
		...

	def GetNthComponent(self, c: int) -> float:
		""""""
		...

	def SetNthComponent(self, c: int, v: float) -> None:
		""""""
		...

	def __call__(self, row: int, col: int) -> float:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def GetTrace(self) -> float:
		""""""
		...

	def ComputeEigenValues(self, eigenValues: Sequence[float]) -> None:
		""""""
		...

	def ComputeEigenAnalysis(self, eigenValues: Sequence[float], eigenVectors) -> None:
		""""""
		...

	def PreMultiply(self, m):
		""""""
		...

	def PostMultiply(self, m):
		""""""
		...

